package com.cool.store.sdk.ec.core;

/**
 * @author hxd
 */
abstract public class EcRequest  <T extends EcResponse> implements EcRequestI<T> {

    private Object parameter;

    @Override
    public String getMethod() {
        return "POST";
    }

    @Override
    public Object getParameter() {
        return parameter;
    }

    public void setParameter(Object parameter) {
        this.parameter = parameter;
    }

    @Override
    public Class<T> getResponseClass() {
        return null;
    }
}
